### Method

# Adw Carouselset_scroll_params

#### Declaration [src]

    void
    adw_carousel_set_scroll_params (
      AdwCarousel* self,
      AdwSpringParams* params
    )

#### Description [src]

Sets the scroll animation spring parameters for `self`.

The default value is equivalent to:

    adw_spring_params_new (1, 0.5, 500)

Sets property | `Adw.Carousel:scroll-params`

#### Parameters

`params`

  Type: `AdwSpringParams`

  The new parameters.

  The data is owned by the caller of the method.